export declare type RegistryEntries<T> = Iterable<[string, T]> | ReadonlyArray<[string, T]>;
export declare class Registry<T> {
    protected readonly map: Map<string, T>;
    constructor(entries?: RegistryEntries<T>);
    get keys(): IterableIterator<string>;
    get values(): IterableIterator<T>;
    clear(): void;
    containsKey(key: string): boolean;
    register(key: string, value: T): void;
    resolve(key: string): T | undefined;
    unregister(key: string): void;
}
//# sourceMappingURL=Registry.d.ts.map