"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Registry = /** @class */ (function () {
    function Registry(entries) {
        if (entries === void 0) { entries = []; }
        this.map = new Map(entries);
    }
    Object.defineProperty(Registry.prototype, "keys", {
        get: function () {
            return this.map.keys();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Registry.prototype, "values", {
        get: function () {
            return this.map.values();
        },
        enumerable: true,
        configurable: true
    });
    Registry.prototype.clear = function () {
        this.map.clear();
    };
    Registry.prototype.containsKey = function (key) {
        return Array.from(this.map.keys()).indexOf(key) > -1;
    };
    Registry.prototype.register = function (key, value) {
        if (this.map.has(key) === false) {
            this.map.set(key, value);
        }
    };
    Registry.prototype.resolve = function (key) {
        if (this.map.has(key)) {
            return this.map.get(key);
        }
        return undefined;
    };
    Registry.prototype.unregister = function (key) {
        if (this.map.has(key)) {
            this.map.delete(key);
        }
    };
    return Registry;
}());
exports.Registry = Registry;
//# sourceMappingURL=Registry.js.map