"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegistryMap = /** @class */ (function () {
    function RegistryMap(entries) {
        if (entries === void 0) { entries = []; }
        this.map = new Map(entries);
    }
    Object.defineProperty(RegistryMap.prototype, "keys", {
        get: function () {
            return Array.from(this.map.keys());
        },
        enumerable: true,
        configurable: true
    });
    RegistryMap.prototype.clear = function () {
        this.map.clear();
    };
    RegistryMap.prototype.register = function (key, value) {
        if (this.map.has(key) === false) {
            this.map.set(key, []);
        }
        var collection = this.resolve(key);
        collection.push(value);
        this.map.set(key, collection);
    };
    RegistryMap.prototype.remove = function (key, value) {
        if (this.map.has(key)) {
            var collection = this.resolve(key);
            var index = collection.indexOf(value);
            collection.splice(index, 1);
        }
    };
    RegistryMap.prototype.reset = function (key) {
        if (this.map.has(key)) {
            this.map.set(key, []);
        }
    };
    RegistryMap.prototype.resolve = function (key) {
        return this.map.get(key) || [];
    };
    return RegistryMap;
}());
exports.RegistryMap = RegistryMap;
//# sourceMappingURL=RegistryMap.js.map